require 'rails_helper'

RSpec.describe "settings/lookups/edit", type: :view do
  before(:each) do
    @settings_lookup = assign(:settings_lookup, Settings::Lookup.create!(
      :lookup_type => "MyString",
      :name => "MyString",
      :value => "MyString"
    ))
  end

  it "renders the edit settings_lookup form" do
    render

    assert_select "form[action=?][method=?]", settings_lookup_path(@settings_lookup), "post" do

      assert_select "input#settings_lookup_lookup_type[name=?]", "settings_lookup[lookup_type]"

      assert_select "input#settings_lookup_name[name=?]", "settings_lookup[name]"

      assert_select "input#settings_lookup_value[name=?]", "settings_lookup[value]"
    end
  end
end
